Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class CircuitReference

    java.lang.Object
      com.vordel.circuit.CircuitReference

    public class CircuitReference

extends java.lang.Object

Field Summary
`boolean` | `isEnabled`
`java.lang.String` | `label`
`ESPK` | `pk`

Constructor Summary
`CircuitReference(ESPK ref)`

Method Summary
`Circuit` | `getCircuit(Message m)` Call this from the processor.
`ESPK` | `getCircuitPK()`
`java.lang.Object` | `getContext()` For tracking the call path, retrieve the indexing information we used to lookup the circuit to execute.
`void` | `setCircuit(Circuit circuit)`
`void` | `setEnabled(boolean enabled)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pk

    public ESPK pk

### label

    public java.lang.String label

### isEnabled

    public boolean isEnabled

Constructor Detail

### CircuitReference

    public CircuitReference(ESPK ref)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setEnabled

    public void setEnabled(boolean enabled)

### getCircuit

    public Circuit getCircuit(Message m)
                       throws CircuitAbortException

  Call this from the processor.

  Parameters:
    `m` -
  Returns:
  Throws:
    `CircuitAbortException`

### getCircuitPK

    public ESPK getCircuitPK()

### setCircuit

    public void setCircuit(Circuit circuit)

### getContext

    public java.lang.Object getContext()

  For tracking the call path, retrieve the indexing information we used to lookup the circuit to execute. In the simple case, it will be the ESPK. For a soft reference, return the property value we used to indirect to the circuit.

  Returns:
    The index we used to lookup the circuit.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel